Skip to main content

Update a mobile signature

PATCH 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/mobile-signature

Since: 8.2605.0, 9.2605.0

Required permission(s): AccessControl.CredentialModify

Partially updates the mobile signature credential of the specified user. Only provided fields will be updated.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    State of the credential.

    modificationComment string

    Comment describing the modification.

    version int32

    Version of the credential for optimistic locking.

    policyExtId string

    External ID of the used policy.

    identificator string

    MSSP-specific identificator of the mobile signature credential.

    msspIdentifier string

    URI-based identifier of MSSP.

    signerCert string

    X509 signer certificate in PEM format.

    msisdn string

    Calling number for mobile device according to ETSI Standard.

Responses

Mobile signature updated successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the credential.

    userExtId string

    The external ID of the user to whom the credential belongs.

    policyExtId string

    The external ID of the used policy.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential. Available values: initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived.

    stateChangeReason string

    Reason for the last state change of the password.

    stateChangeDetail string

    Reason detail for the last state change of the password.

    lastSuccessfulLoginDate string

    Timestamp of last successful login.

    successfulLoginCount int32

    Counts successful logins with this credential since last initialization or reset.

    lastFailedLoginDate string

    Date of last non-technical login failure, for example, wrong password.

    failedLoginCount int32

    Counts non-technical login failures since the last successful login, initialization or reset.

    modificationComment string

    Textual comment regarding the last modification.

    type string

    Possible values: [Password, Certificate, SecurID User Mapping, Ticket Authorization, Safeword User Mapping, OTP Card, Temporary Strong Password, Generic Credential, Kerberos, mTan, Vasco, PUK, URL Ticket, DevicePassword, MobileSignature, SAML Federation, Security Questions, Context Password, OATH, FIDO UAF Authenticator, Recovery Code, FIDO2 Authenticator]

    Type of credential.

    validity object

    Describes the validity period of the password.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    identificator string

    MSSP-specific identificator of the mobile signature credential.

    msspIdentifier string

    URI-based identifier of MSSP.

    signerCert string

    X509 signer certificate in PEM format.

    msisdn string

    Calling number for mobile device according to ETSI Standard.

Loading...